Package org.eclipse.cdt.core

## Interface ICommandLauncherFactory2

    public interface ICommandLauncherFactory2

Since:
  6.5

### Field Summary

Fields
`static String` `CONTAINER_BUILD_ENABLED`

### Method Summary

All Methods Instance Methods Default Methods
`default ICommandLauncher` `getCommandLauncher​(ICBuildConfiguration cfg)` Get a Command Launcher for a build configuration descriptor
`default List<String>` `verifyIncludePaths​(ICBuildConfiguration cfg, List<String> includes)` Process include paths and if necessary copy header files as needed.

### Field Detail

#### CONTAINER_BUILD_ENABLED

    static final String CONTAINER_BUILD_ENABLED

See Also:
  Constant Field Values

### Method Detail

#### getCommandLauncher

    default ICommandLauncher getCommandLauncher​(ICBuildConfiguration cfg)

Get a Command Launcher for a build configuration descriptor

Parameters:
  `cfg` - - ICBuildConfiguration to get command launcher for
Returns:
  ICommandLauncher or null

#### verifyIncludePaths

    default List<String> verifyIncludePaths​(ICBuildConfiguration cfg,
                                            List<String> includes)

Process include paths and if necessary copy header files as needed.

Parameters:
  `cfg` - - ICBuildConfiguration to process includes for
  `includes` - List of include paths to process
Returns:
  processed List of include paths